package Netpgp::Verify;

our $VERSION = '0.01';

require Exporter;
require DynaLoader;

@ISA = qw(Exporter DynaLoader);
@EXPORT = qw(verify);

Netpgp::Verify->bootstrap($VERSION);

sub new {
	my $class = shift;
	if (ref($class)) {	# instance method
		print "PHOOEY";
		return $class;
	}
	my $state = PGPV_open() || return;
	my $self = \$state;
	bless($self, $class);
	return $self;
}

sub DESTROY {
	my $self = shift;
	PGPV_delete($$self) if $$self;
}

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You'd better edit it!

=head1 NAME

Netpgp::Verify - Perl extension for blah blah blah

=head1 SYNOPSIS

  use Netpgp::Verify;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for Netpgp::Verify, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.



=head1 SEE ALSO

Mention other useful documentation such as the documentation of
related modules or operating system documentation (such as man pages
in UNIX), or any relevant external documentation such as RFCs or
standards.

If you have a mailing list set up for your module, mention it here.

If you have a web site set up for your module, mention it here.

=head1 AUTHOR

A. U. Thor, E<lt>agc@cupertino.alistaircrooks.comE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright (C) 2016 by A. U. Thor

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself, either Perl version 5.22.2 or,
at your option, any later version of Perl 5 you may have available.


=cut
